> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Snyk API

Use these operations to interact with the [Snyk integration](/ingesting-data-into-cortex/integrations/snyk) in Cortex.

### Required permissions

Your API key must have the `Configure integrations` permission.

## Operations

<Columns cols={2}>
  <Card title="Retrieve a configuration" icon="code" href="/api/rest/snyk-api/retrieve-a-configuration">
    `GET /api/v1/snyk/default-configuration`
  </Card>

  <Card title="Add a configuration" icon="code" href="/api/rest/snyk-api/add-a-configuration">
    `POST /api/v1/snyk/configuration`
  </Card>

  <Card title="Update the existing configuration" icon="code" href="/api/rest/snyk-api/update-the-existing-configuration">
    `PUT /api/v1/snyk/configuration`
  </Card>

  <Card title="Validate a configuration" icon="code" href="/api/rest/snyk-api/validate-a-configuration">
    `POST /api/v1/snyk/configuration/validate`
  </Card>

  <Card title="Delete a configuration" icon="code" href="/api/rest/snyk-api/delete-a-configuration">
    `DELETE /api/v1/snyk/configurations`
  </Card>
</Columns>


## Related topics

- [Snyk](/ingesting-data-into-cortex/integrations/snyk.md)
- [Internally hosted integrations](/ingesting-data-into-cortex/integrations/axon-relay.md)
- [Validate a configuration](/api/rest/snyk-api/validate-a-configuration.md)
